Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
NodeOptInfo Struct Reference

## Data Fields
MinMaxLen | len
OptAncInfo | anc
OptExactInfo | exb
OptExactInfo | exm
OptExactInfo | expr
OptMapInfo | map

## Detailed Description

Definition at line 4377 of file regcomp.c.

## Field Documentation

## ◆ anc

OptAncInfo NodeOptInfo::anc

Definition at line 4380 of file regcomp.c.

## ◆ exb

OptExactInfo NodeOptInfo::exb

Definition at line 4381 of file regcomp.c.

## ◆ exm

OptExactInfo NodeOptInfo::exm

Definition at line 4382 of file regcomp.c.

## ◆ expr

OptExactInfo NodeOptInfo::expr

Definition at line 4383 of file regcomp.c.

## ◆ len

MinMaxLen NodeOptInfo::len

Definition at line 4378 of file regcomp.c.

## ◆ map

OptMapInfo NodeOptInfo::map

Definition at line 4385 of file regcomp.c.

The documentation for this struct was generated from the following file:

- regcomp.c